hr {
  border: none;

  height: 1px;

  background-color: #607ad6;

  margin: 20px 0;

  transition: background-color 0.5s ease;
}

body {
  background-color: #2b2b2b;
  color: #ffffff;
  transition: background-color 0.5s ease, color 0.5s ease;
}

.centertext {
  text-align: center; 
}

div.centerlinks {
  display: block;
  margin: 0 auto;
}

.centerimage {
  display: block;  
  margin: 0 auto;
}

.font {
  font-family: "Comic Neue", cursive;
  font-weight: 400;
  font-style: normal;  
}

.outline {
  max-width: 250px;
  margin: 0 auto;
  
  border: 2px solid #ffffff;
  border-radius: 20px;
  
  background-color: #606ed6;

  transition: background-color 0.5s ease, border-color 0.5s ease;
}

#menuButton {
  position: fixed;
  top: 10px;
  right: 10px;
  padding: 10px 15px;
  font-size: 18px;
  cursor: pointer;
  z-index: 1001;
  background-color: #5C6AC4;
  color: white;
  border: 2px solid royalblue;
  border-radius: 10px;

  transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease;
}

.side-menu {
  height: 100%;
  width: 0;
  position: fixed;
  top: 0;
  right: 0;
  background-color: #2b2b2b;
  color: #ffffff;
  overflow-x: hidden;
  transition: 0.3s;
  padding-top: 60px;
  box-shadow: -2px 0 5px #969696;
  z-index: 1000;
}

.side-menu ul {
  list-style-type: none;
  padding: 0;
}

.side-menu ul li {
  padding: 12px 24px;
}

.side-menu ul li a {
  text-decoration: none;
  color: #606ed6;
  font-weight: bold;
  display: block;
}

#menuButton:hover {
  background-color: lightblue;  
}

#menuButton:active {
  transform: scale(0.98);  
}

.side-menu.open {
  width: 250px;
}

.switch {
  position: fixed;
  top: 10px;
  left: 10px;
  display: inline-block;
  width: 50px;
  height: 26px;
  z-index: 1100;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0; left: 0; right: 0; bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 26px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: #606ed6;
}

input:checked + .slider:before {
  transform: translateX(24px);
}

body.light-mode {
  background-color: #f0f0f0;
  color: #222;
}

body.light-mode .outline {
  border-color: #222;
  background-color: #a3a8f7;
}

body.light-mode hr {
  background-color: #4a4af7;
}

body.light-mode #menuButton {
  background-color: #8a90f7;
  border-color: #4a4af7;
  color: #222;
}

body.light-mode .side-menu {
  background-color: #eaeaea;
  color: #222;
  box-shadow: -2px 0 5px #555;
}

body.light-mode .side-menu ul li a {
  color: #4a4af7;
}

.aquariumsliderbutton:hover {
  background-color: #949de0;
}

.aquariumsliderbutton:active {
  transform: scale(0.98);
}
